import {action, makeAutoObservable, observable} from "mobx";
import {http} from "../utils/http";

export class User {
    @observable data = [];

    constructor(ctx) {
        this.ctx = ctx;
        makeAutoObservable(this);
    }

    @action
    async getData() {
        this.data = (await http.get('/user')).body.data;
    }
}


